/*
Theme Name: Rara Academic Child
Theme URI: https://wp-themes.com/rara-academic
Description: My WordPress Rara Academic child theme.
Template: rara-academic
License: GNU General Public License v3
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Version: 1.0.0
Text Domain: rara-academic-child
*/

/*--------------------------------------------------------------
--------------------------------------------------------------*/

p {
    margin-bottom: 1em;
}

a {
    transition: color 0.2s;
}

.site-branding {
    flex-wrap: nowrap;
    margin-top: 0;
}

.site-logo {
    max-width: 100px;
}

.main-navigation a {
    text-transform: none;
}

.site-branding .site-title {
    font-size: 16px;
    line-height: 1.2;
    text-align: left;
}

.site-branding .title-tagline {
    max-width: 200px;
}

/* Banner */
section.banner-section .banner-text {
    top: 50%;
    transform: translateY(-50%);
}

section.banner-section .banner-text .text {
    padding: 2%;
    background: rgba(0, 0, 0, 0.4);
}

section.banner-section .banner-text .learn-more {
    margin: 0;
}

/* WELCOME SECTION */
.welcome-section .col-2:first-child {
    padding: 0 15px;
}

.welcome-section iframe {
    aspect-ratio: 16/9;
    height: auto;
}

/* BLOG/NEWS POSTS */
.post .entry-footer .cat-links,
.post-navigation {
    display: none;
}

/* FILE EXTENTIONS ICONS */
a[href$=".doc"]::before,
a[href$=".docx"]::before,
a[href$=".ppt"]::before,
a[href$=".pptx"]::before,
a[href$=".xls"]::before,
a[href$=".xlsx"]::before,
a[href$=".pdf"]::before,
a[href$=".zip"]::before,
a[href$=".rar"]::before {
    display: inline-block;
    width: 20px;
    height: 20px;
    vertical-align: text-bottom;
    margin-right: 10px;
    content: '';
}

a[href$=".doc"]::before,
a[href$=".docx"]::before {
    background: url('images/filetypes/doc-type.svg') no-repeat;
}

a[href$=".ppt"]::before,
a[href$=".pptx"]::before {
    background: url('images/filetypes/ppt-type.svg') no-repeat;
}

a[href$=".xls"]::before,
a[href$=".xlsx"]::before {
    background: url('images/filetypes/xls-type.svg') no-repeat;
}

a[href$=".pdf"]::before {
    background: url('images/filetypes/pdf-type.svg') no-repeat;
}

a[href$=".zip"]::before,
a[href$=".rar"]::before {
    background: url('images/filetypes/zip-type.svg') no-repeat;
}

/* Category widgets */
.b-categories__item {
    margin-bottom: 2em;
}

.b-categories__item-image {
    margin-bottom: 1em;
    display: block;
}

.b-categories__item-image img {
    float: none;
}

/* MENU */
.main-navigation ul ul a {
    padding-top: 10px;
    padding-bottom: 10px;
}

/* GALLERY */
.gallery {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}

.gallery .gallery-item {
    margin: 0;
    max-width: none;
    border: 1px solid #e7e7e8;
    padding: 6px;
    align-self: center;
}

.gallery img {
    width: 100%;
}

.site-content .entry-content ul {
    margin: 0 0 1.5em 0.5em
}

.post .entry-content ul li {
    border-bottom: none;
    padding-bottom: 0;
}

.blog .site-main {
    /* display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 10px; */
}

.blog #primary {
    width: 100%;
    float: none;
}

.page-content,
.entry-content,
.entry-summary {
    margin-top: 1em;
}

.site-content #primary .entry-header {
    margin-bottom: 1em;
}

.post-index-item .read-more {
    display: none !important;
}

#primary .post-index-item .entry-title {
    margin-bottom: 0;
}

.site-content #primary .post-index-item .post-thumbnail {
    border: 0;
    padding: 0;
}

.post-index-item .entry-header {
    background-color: #f5f5f7;
    transition: background-color 0.3s;
    padding: 1em;
}

.post-index-item:hover .entry-header {
    background-color: #e9e9e9;
}

.post-index-item .entry-content {
    /* background: #f5f5f7; */
    padding: 0 1em;
}

.post-index-item .entry-footer {
    padding: 0 1em;
}

.post-index-item .entry-title a {
    line-height: 1.2em !important;
    font-size: 22px !important;
}

.site-content #primary .entry-meta {
    font-size: 14px;
    color: silver;
}

.site-content #primary .entry-meta a {
    color: silver;
}

.site-content #primary .entry-meta .byline {
    display: none;
}

.site-content #primary .post-index-item {
    padding-bottom: 0;
    margin-bottom: 2em;
}


/* HOMEPAGE */
/* LATEST NEWS */
.latest-news {
    padding: 0;
    margin-bottom: 5em;
}

.latest-news .entry-footer {
    display: none;
}

/* POPULAR COURSES */
.popular-courses {
    padding-top: 5em;
}

/* HEADER */

.header-top {
    padding: 0;
}

.header-top .social-networks {
    padding: 2px;
}

.header-top .social-networks li a {
    font-size: 14px;
}

.header-bottom {
    background: #f5f5f7;
}

.header-top .container {
    display: flex;
}

.header-top .search-form {
    margin-left: auto;
}

.header-top .search-form {
    height: 38px;
    display: flex;
    margin-bottom: 0;
}

.search-form .search-field {
    border: 0;
    border-bottom: 1px solid #e5e5e7;
    border-radius: 0;
    background: none;
    font-size: 18px;
    line-height: 28px;
    color: #acacac;
    padding: 0 20px;
    height: 100%;
}

.header-top .search-form .search-field {
    border: 0;
    margin: 0;
}

.header-top .search-field {
    background: #404d5b;
}

.header-top .search-field:focus {
    color: white;
}

.search-form {
    height: 40px;
    margin-bottom: 20px;
}

.search-form .search-submit {
    padding: 10px;
    background: transparent;
    text-shadow: none;
    font: inherit;
    cursor: pointer;
    outline: inherit;
    border-radius: 0;
    box-shadow: none;
    border: 0;
    appearance: none;
    line-height: 1;
    -webkit-appearance: none;
    color: #acacac;
}

.header-top .search-submit {
    color: #f4f4f4;
    padding: 8px;
}

.widget .search-submit {
    margin-top: 10px;
}

.blog .navigation.pagination .nav-links {
    text-align: center;
}

.header-top .bvi-shortcode {
    margin-left: 10px;
    padding: 2px 10px;
}

.header-top .bvi-shortcode .bvi-svg-eye {
    width: 24px;
    height: 24px;
}

.bvi-shortcode>a {
    vertical-align: middle;
}


/* SERVICES */
.services>.container>.row {
    text-align: center;
}

.services .col-3 h5:after {
    left: 46%;
}

.mobile-menu {
    overflow-x: hidden;
}

.mobile-menu .nav-menu .sub-menu a {
    padding-left: 35px;
    border-top: none;
}

.site-header {
    position: sticky;
    top: 0;
    z-index: 5;
    background-color: white;
}



.home .post img {
    transition: 0.5s;
    width: 100%;
}
  
.home .post img:hover {
    transform: scale(1.1);
}


/*--------------------------------------------------------------
 Mobile
--------------------------------------------------------------*/

@media only screen and (max-width: 767px) {
    .banner-section img {
        min-height: 300px;
        object-fit: cover;
    }

    .site-branding .site-description {
        display: none;
    }

    .site-branding .site-logo {
        max-width: 60px;
    }

    .header-top .search-field,
    .header-top .email {
        display: none;
    }

    section.banner-section .banner-text .learn-more {
        font-size: 12px;
        line-height: 16px;
    }
}

/*--------------------------------------------------------------
 Tablet +
--------------------------------------------------------------*/

@media only screen and (min-width: 768px) {
    .site-branding .site-title {
        font-size: 26px;
    }
    .site-branding .title-tagline {
        max-width: 320px;
    }

    .b-categories__item {
        display: flex;
        gap: 20px;
    }

    .b-categories__item-image {
        width: 150px;
        flex-shrink: 0;
        align-self: flex-start;
    }

    .gallery {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 10px;
    }

    .blog .site-main {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }

    .blog .navigation.pagination {
        grid-column: -1/1;
    }
}

/*--------------------------------------------------------------
 Mobile + Tablet
--------------------------------------------------------------*/

@media only screen and (max-width: 1023px) {
    .header-top .email {
        display: none;
    }

    .bvi-shortcode>a {
        font-size: 0;
    }

    .latest-news .post .entry-header .entry-title {
        font-size: 20px;
        line-height: 28px;
    }
}

/*--------------------------------------------------------------
 Mobile + Tablet Landscape
--------------------------------------------------------------*/

@media only screen and (max-width: 1024px) {
    .mobile-menu-wrapper {
        /* fix tablet landscape hamburger menu opener */
        display: block;
    }

    .main-navigation {
        max-width: 380px;
    }

    .main-navigation ul li a {
        font-size: 16px;
    }
}

/*--------------------------------------------------------------
 Desktop
--------------------------------------------------------------*/

@media only screen and (min-width: 992px) {
    .site-branding .site-title {
        font-size: 28px;
    }

    .header-bottom>.container {
        width: auto;
        max-width: 1400px;
    }

    .main-navigation ul ul a {
        width: 370px;
    }

    .main-navigation ul > li:first-child ul a {
        width: 450px;
    }

    .main-navigation .menu>li:nth-last-child(-n+2):hover>.sub-menu {
        right: 0;
    }

    .main-navigation .menu>.menu-item:not(:first-child) {
        margin-left: 10px;
    }

    .main-navigation .menu>.menu-item-has-children {
        padding-right: 30px;
    }

    .main-navigation .menu>.menu-item::before {
        right: 14px;
    }

    .blog .site-main {
        grid-template-columns: repeat(3, 1fr);
        gap: 30px;
    }

    /* .post-index-item {
        display: grid;
    } */
}

/*--------------------------------------------------------------
 Desktop LG
--------------------------------------------------------------*/
@media only screen and (min-width: 1024px) and (max-width: 1200px) {
    .site-branding .title-tagline {
        max-width: 200px;
    }

    .site-branding .site-title {
        font-size: 18px;
    }

    .bvi-shortcode>a {
        font-size: 16px;
    }
}

@media only screen and (max-width: 1200px) {
    .header-top .container {
        width: auto;
    }
}

@media only screen and (min-width: 1200px) {
    #primary {
        width: 780px; /* image sharpness */
    }
}